apiVersion: "operator.nevis-security.ch/v1"
kind: "NevisComponent"
metadata:
  name: "idm-job-v1"
  namespace: "adn-agov-nevisidm-admin-01-uat"
  labels:
    deploymentTarget: "idm-job-v1"
  annotations:
    projectKey: "DEFAULT-ADN-AGOV-ADMIN-PROJECT"
    patternId: "641ac4edf0c17383d3c0ea38"
spec:
  type: "NevisIDM"
  replicas: 1
  version: "8.2405.2"
  gitInitVersion: "1.3.0"
  runAsNonRoot: true
  ports:
    management: 8998
    soap: 8989
  resources:
    limits:
      cpu: "1000m"
      memory: "2200Mi"
    requests:
      cpu: "10m"
      memory: "500Mi"
  livenessProbe:
    management:
      httpGet:
        path: "/liveness"
      periodSeconds: 30
      timeoutSeconds: 6
  readinessProbe:
    management:
      httpGet:
        path: "/health"
      periodSeconds: 30
      timeoutSeconds: 6
  startupProbe:
    management:
      httpGet:
        path: "/health"
      periodSeconds: 30
      timeoutSeconds: 6
      failureThreshold: 10
  podDisruptionBudget:
    maxUnavailable: "50%"
  git:
    tag: "r-29c1b415348a6c1b8b32c65f6f40449f8c7765b0"
    dir: "DEFAULT-ADN-AGOV-ADMIN-PROJECT/DEFAULT-ADN-AGOV-ADMIN-INV/idm-job-v1"
    credentials: "git-credentials"
  keystores:
  - "idm-job-v1-default-identity"
  truststores:
  - "idm-job-v1-default-tls-client-trust"
  - "idm-job-v1-default-signer-trust"
  podSecurity:
    policy: "baseline"
    automountServiceAccountToken: false
  timeZone: "Europe/Zurich"
  secrets:
    secret:
    - "a2068eb83a60702322c13949-27ed70d3"
    - "c418560f50e0332d087e85bf-89ec31e5"
